Subject: Re: pg_waldump: support decoding of WAL inside tarfile

From: Andrew Dunstan <[email-masked]>
Date: Sat, 28 Mar 2026 21:59:21 -0400

> On Mar 28, 2026, at 7:34 PM, Tom Lane <[email-masked]> wrote:
> 
> Thomas Munro <[email-masked]> writes:
>>> On Sun, Mar 29, 2026 at 11:37 AM Tom Lane <[email-masked]> wrote:
>>> It looks like to make this test stable on modern FreeBSD,
>>> we need to see if tar accepts --no-read-sparse and use that
>>> switch if so.
> 
>> Yeah.  Here's my attempt at perl.
> 
> Andrew might have some stylistic suggestions, but this looks
> plausible to me.

Looks basically ok to me, although I wouldn’t make the variable name all caps.

Cheers

Andrew

---

From: Thomas Munro <[email-masked]>
Date: Sun, 29 Mar 2026 15:01:24 +1300

> Looks basically ok to me, although I wouldn’t make the variable name all caps.

Will fix and push.  Thanks!